=== debian/changelog ===
ros-humble-moveit-setup-controllers (2.5.5-2bookworm) bookworm; urgency=high

  * add missing dependencies on config utils (backport #1962 <https://github.com/ros-planning/moveit2/issues/1962>) (#2206 <https://github.com/ros-planning/moveit2/issues/2206>)
    when installing ros-humble-moveit-setup-assistant from debs,
    the package cannot currently run due to this missing depend
    (cherry picked from commit cc635471aadfb9446398ece319ae31c6b72bec86)
    Co-authored-by: Michael Ferguson <mailto:mfergs7@gmail.com>
  * Fix clang compiler warnings (backport of #1712 <https://github.com/ros-planning/moveit2/issues/1712>) (#1896 <https://github.com/ros-planning/moveit2/issues/1896>)
    - Fix warning: definition of implicit copy assignment operator is deprecated
    - Fix warning: expression with side effects will be evaluated
    - Fix warning: passing by value
    - Enable -Werror
    - Fix -Wdelete-non-abstract-non-virtual-dtor
    - Fix more clang warnings
    - Modernize gtest: TYPED_TEST_CASE -> TYPED_TEST_SUITE
    - Fix GoogleTestVerification.UninstantiatedTypeParameterizedTestSuite
    - Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
    - Explicitly declare overrides
    - Add default constructors as they are not implicitly declared anymore
    - Declare selected classes as final
    - Add noexcept specifier to constructors
    - Fixup gmock/gtest warnings
  * Re-enable clang-tidy check performance-unnecessary-value-param (backport #1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Re-enable clang-tidy check performance-unnecessary-value-param (#1703 <https://github.com/ros-planning/moveit2/issues/1703>)
    * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    Co-authored-by: Henning Kayser <mailto:henningkayser@picknik.ai>
    Co-authored-by: Robert Haschke <mailto:rhaschke@users.noreply.github.com>
  * Contributors: Robert Haschke, mergify[bot]

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.4-2bookworm) bookworm; urgency=high

  * MSA: write the default controller namespace (#1515 <https://github.com/ros-planning/moveit2/issues/1515>) (#1651 <https://github.com/ros-planning/moveit2/issues/1651>)
    (cherry picked from commit 066e8621166858d3f556726197b07643a1b685f9)
    Co-authored-by: AndyZe <mailto:zelenak@picknik.ai>
  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 03 Nov 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.3-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 27 Jul 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.2-2bookworm) bookworm; urgency=high

  * Rename cartesian_limits.yaml (#1422 <https://github.com/ros-planning/moveit2/issues/1422>)
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
  * [MSA] Testing Framework for MoveItSetupAssistant (#1383 <https://github.com/ros-planning/moveit2/issues/1383>)
    Adds a nice testing harness for easy checking of generated files.
    New Features:
    * Updated sensor configuration format
    * Keep trajectory execution parameters around
    Tests
    * Ported the ROS 1 tests for perception and controllers
    * Added some SRDF Planning Groups tests
  * fix duplicated ros_control joints (#1406 <https://github.com/ros-planning/moveit2/issues/1406>)
    when more than one controller can control a joint,
    that joint would appear multiple times
  * [MSA] Add additional parameters to Controller definitions (#1408 <https://github.com/ros-planning/moveit2/issues/1408>)
  * Merge pull request #1254 <https://github.com/ros-planning/moveit2/issues/1254> from ros-planning/feature/msa
    MoveIt Setup Assistant - Merge the Feature branch
  * [MSA] Clean up extra parentheses (#1366 <https://github.com/ros-planning/moveit2/issues/1366>)
  * [MSA] ros2_control Integration (#1299 <https://github.com/ros-planning/moveit2/issues/1299>)
  * [MSA] Workaround to launch files without controllers (#1275 <https://github.com/ros-planning/moveit2/issues/1275>)
  * [MSA] PR Feedback
  * [MSA] Migration Cleanup (#1253 <https://github.com/ros-planning/moveit2/issues/1253>)
  * [MSA] Initial Controllers and Simulation Steps Port (#1252 <https://github.com/ros-planning/moveit2/issues/1252>)
  * Contributors: AndyZe, David V. Lu!!, Michael Ferguson, Vatan Aksoy Tezer

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 30 May 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.5.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.3.2-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 28 Dec 2021 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.3.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Dec 2021 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.3.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Thu, 07 Oct 2021 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.2.1-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-moveit-setup-controllers (2.2.0-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Tue, 29 Jun 2021 16:00:00 -0000


